关闭

unity-metaio在xcode的导出编译出错

标签: xcodeunitymetaio
365人阅读 评论(0) 收藏 举报

因项目需要把unity项目转成ios版,下载了mac版的unity4.6,导入metaio就立马报错,说需要用unity pro版运行。颠簸寻找后找到4.5的破解版,最后安装破解后成功运行。

导出ios版后,在xcode编译出一大串的错误,最终上网查明缺少引用。在Targets->Build Phases->Link Binary With Libraries,把libc++.dylib,libxml2.dylib,Security.framework,metaiosdk,值得一提的事,我添加完后还有错误,再搜索一下OpenGL的资料,发现有个CoreImage.framework还需要导进去。

之后再编译一次,错误只剩下几个了。显示libiphone有问题。在Built Setting->Library Search Paths 把”$(SRCROOT)/Libraries“的双引号去掉,可能是自身的bug,自己加了双引号进去,有待改善。

初次使用,可能有说错的地方,请见谅。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:368次
    • 积分:16
    • 等级:
    • 排名:千里之外
    • 原创:1篇
    • 转载:0篇
    • 译文:0篇
    • 评论:0条
    文章分类
    文章存档